# $Revision: 1.15 $, $Date: 2002/09/08 07:29:11 $
Summary:	Visual (www) interface to explore a cvs repository
Summary(pl):	Wizualny (WWW) interfejs do przegldania repozytorium cvs
Name:		cvsweb
Version:	1.93
Release:	2
Epoch:		1
License:	BSD-like
Group:		Development/Tools
URL:		http://stud.fh-heilbronn.de/~zeller/cgi/cvsweb.cgi/
Source0:	http://stud.fh-heilbronn.de/~zeller/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-config.patch
Requires:	rcs
Requires:	webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
cvsweb is a visual (www) interface to explore a cvs repository. This
is an enhanced cvsweb developed by Henner Zeller. Enhancements include
recognition and display of popular mime-types, visual, color-coded,
side by side diffs of changes and the ability sort the file display
and to hide old files from view. One living example of the enhanced
cvsweb is the KDE cvsweb.

cvsweb requires the server to have cvs and a cvs repository worth
exploring.

%description -l pl
cvsweb jest wizualnym interfejsem do eksploracji repozytorium cvs.
Jest to ulepszona wersja programu cvsweb Hennera Zellera. Do ulepsze
zaliczy mona rozpoznawanie i wywietlanie popularnych typw MIME;
wizualnych, kolorowych, umieszczonych obok siebie rnic midzy
plikami oraz zdolno sortowania widoku plikw oraz ukrywania starych
plikw. ywym przykadem ulepszonego cvsweba jest cvsweb projektu KDE.

cvsweb wymaga, by na serwerze by zainstalowany CVS oraz repozytorium
CVS warte eksploracji.

%prep
%setup -q -n %{name}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{home/httpd/cgi-bin,%{_sysconfdir}}

install cvsweb.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin
install cvsweb.conf $RPM_BUILD_ROOT%{_sysconfdir}

gzip -9nf INSTALL README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%doc icons
%attr(755,root,root) /home/httpd/cgi-bin/cvsweb.cgi
%config(noreplace) %{_sysconfdir}/cvsweb.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cvsweb.spec,v $
Revision 1.15  2002/09/08 07:29:11  mkochano
- Release 2.
- Closed bracket.

Revision 1.14  2002/08/31 07:45:29  mkochano
- Release 2.
- Moved config fles out of httpd directory as it is not readable for CGI
  scripts.

Revision 1.13  2002/04/25 16:08:49  arturs
fixed a small typo

Revision 1.12  2002/03/27 12:05:07  roman
s/BSD type/BSD-like in License

Revision 1.11  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/13 12:57:59  qboosh
- adapterized

Revision 1.8  2001/07/27 09:40:19  migo
- added Summary(pl)
- typo in description

Revision 1.7  2001/01/29 15:19:56  kloczek
- Requires: webserver

Revision 1.6  2001/01/29 15:04:48  zagrodzki
- updated to 1.93
- many fixes (attr on cvsweb.cgi, location of httpd conf. files, etc.)

Revision 1.5  2000/05/18 17:35:47  kloczek
- spec adapterized.

* Tue Nov  9 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.79

* Tue Oct 12 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec (based on Ryan Weaver's <ryanw@infohwy.com> gtksee spec
  because i like the style of it)
